The pfSense Store

Author Topic: I can't restart pfsense  (Read 1644 times)

0 Members and 1 Guest are viewing this topic.

Offline mamoraes

  • Newbie
  • *
  • Posts: 14
  • Karma: +0/-0
    • View Profile
I can't restart pfsense
« on: May 25, 2012, 03:05:18 pm »
Hi for all,

My problem is not well in the WebGUI.
I see the error when I access via SSH. So when I login as root, this message appears:

/libexec/ld-elf.so.1: Shared object "libpcre.so.1" not found, required by "php"

I've tried all the options and the one that works is to 8. When I use any option except the eighth, the message appears twice and back to the options again.

Any idea?


Offline podilarius

  • Hero Member
  • *****
  • Posts: 1768
  • Karma: +0/-0
    • View Profile
Re: I can't restart pfsense
« Reply #1 on: May 30, 2012, 09:52:51 am »
Did you update via GIT and not the auto upgrade where you get the new binary. What version are you on and what was happening when you first got this error?

Offline mamoraes

  • Newbie
  • *
  • Posts: 14
  • Karma: +0/-0
    • View Profile
Re: I can't restart pfsense
« Reply #2 on: June 05, 2012, 02:47:06 pm »
Hi podilarius,

I always do the updates for the auto updater.
I believe this error appears after a certain time after changing the root password for access via console and SSH.
I gave a sweep in the file system and did not find this file, only the libpcre.so.0.
Have copied and changed to libpcre.so.1, but it did not work, there was a fatal error in a function.
Any idea?

Offline podilarius

  • Hero Member
  • *****
  • Posts: 1768
  • Karma: +0/-0
    • View Profile
Re: I can't restart pfsense
« Reply #3 on: June 05, 2012, 02:54:40 pm »
It sounds like your autoupdate didn't work correctly. Please try a new update to one of the newer builds. Mine looks like:

Code: [Select]
lrwxr-xr-x  1 root  wheel      12 Aug 16  2011 /usr/local/lib/libpcre.so -> libpcre.so.0
-rwxr-xr-x  1 root  wheel  261018 Aug 16  2011 /usr/local/lib/libpcre.so.0
-rwxr-xr-x  1 root  1001   383317 Mar 17 09:21 /usr/local/lib/libpcre.so.1

Offline mamoraes

  • Newbie
  • *
  • Posts: 14
  • Karma: +0/-0
    • View Profile
Re: I can't restart pfsense
« Reply #4 on: June 06, 2012, 11:35:34 am »
Strange, because I'm using version 2.0.1 x86 pfsense.
Both the x86 and amd64 are having the same problem.
If you can help me, pass me by e-mail the file libpcre.so.1. So I cut and paste in pfsense without problems.

Thank you
« Last Edit: June 06, 2012, 02:05:12 pm by mamoraes »